aboutsummaryrefslogtreecommitdiffstats
path: root/test/scripts/run_in_venv_with_cleanup.sh
diff options
context:
space:
mode:
Diffstat (limited to 'test/scripts/run_in_venv_with_cleanup.sh')
-rwxr-xr-xtest/scripts/run_in_venv_with_cleanup.sh7
1 files changed, 4 insertions, 3 deletions
diff --git a/test/scripts/run_in_venv_with_cleanup.sh b/test/scripts/run_in_venv_with_cleanup.sh
index 541f584a..35b6737e 100755
--- a/test/scripts/run_in_venv_with_cleanup.sh
+++ b/test/scripts/run_in_venv_with_cleanup.sh
@@ -14,7 +14,7 @@ atexit() {
kill -9 $id
fi
done
- exit $rv
+ exit ${rv}
}
trap "atexit;" SIGINT SIGTERM
@@ -30,9 +30,10 @@ then
$*
else
$* &
- wait
+ pid=$!
+ wait ${pid}
fi
rv=$?
atexit
-exit $rv
+exit ${rv}